# swagger_client.ReviewSitesApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_all_review_sites_by_user_name**](ReviewSitesApi.md#get_all_review_sites_by_user_name) | **GET** /getAllReviewSitesByUserName | Get all review sites of an account
[**get_all_review_sites_bycompany_id**](ReviewSitesApi.md#get_all_review_sites_bycompany_id) | **GET** /getAllReviewSitesBycompanyId | Get all review sites of a company


# **get_all_review_sites_by_user_name**
> list[ReviewSites] get_all_review_sites_by_user_name(username)

Get all review sites of an account

Get all review sites of an account

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewSitesApi()
username = 'username_example' # str | User Name or Email address

try: 
    # Get all review sites of an account
    api_response = api_instance.get_all_review_sites_by_user_name(username)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewSitesApi->get_all_review_sites_by_user_name: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **str**| User Name or Email address | 

### Return type

[**list[ReviewSites]**](ReviewSites.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_all_review_sites_bycompany_id**
> list[ReviewSites] get_all_review_sites_bycompany_id(companyid)

Get all review sites of a company

Get all review sites of a company

### Example 
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
swagger_client.configuration.api_key['key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ReviewSitesApi()
companyid = 'companyid_example' # str | Company ID

try: 
    # Get all review sites of a company
    api_response = api_instance.get_all_review_sites_bycompany_id(companyid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ReviewSitesApi->get_all_review_sites_bycompany_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **str**| Company ID | 

### Return type

[**list[ReviewSites]**](ReviewSites.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

